Bug 1045407 - modify qpid-send to use get-/set- ContentObject()
Summary: modify qpid-send to use get-/set- ContentObject()
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp
Version: Development
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 3.0
: ---
Assignee: Gordon Sim
QA Contact: Petr Matousek
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-20 11:19 UTC by Petr Matousek
Modified: 2015-01-21 12:52 UTC (History)
5 users (show)

Fixed In Version: qpid-cpp-0.22-30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-21 12:52:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Apache JIRA QPID-5435 None None None Never
Red Hat Bugzilla 975444 None None None Never

Internal Links: 975444

Description Petr Matousek 2013-12-20 11:19:22 UTC
Description of problem:

At present e.g. --content-string xyz will be sent as a Data section (i.e. binary) as the test utility sets the actual message bytes. It would be preferable to send it as utf8 data (i.e. an AmqpValue section of type string).

Version-Release number of selected component (if applicable):
qpid-cpp-client-devel-0.22-29.el6

How reproducible:
100%

Steps to Reproduce:
1. send a text message with some content using qpid-send
2. receive the message using proton-j messenger client
3. byte message content displayed instead of string

Actual results:
message content sent as Data section 

Expected results:
message content sent as utf8 data

Additional info:
see bug 975444

Comment 1 Gordon Sim 2013-12-20 12:45:21 UTC
Fixed upstream: https://svn.apache.org/r1552401

Comment 2 Petr Matousek 2014-02-13 09:59:29 UTC
This issue has been fixed. Verified on rhel6.5 (x86_64, i386).

packages under test:
qpid-cpp-client-devel-0.22-35.el6

-> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.